package com.loveCoding.homework.j20250517_method;

/**
 * @author WanJl
 * @version 1.0
 * @title T12
 * @description
 * **12. 寻找缺失数字**
 * 要求：在包含1~n的数组中找出缺失的那个数字（数组长度为n-1）
 * 示例输入：`{3,1,4,5}`（n=5）
 * 示例输出：2
 * @create 2025/5/24
 */
public class T12 {
    public static void main(String[] args) {
        int[] arr={3,1,4,5};
        int sum=0;
        for (int i = 0; i < arr.length; i++) {
            sum+=arr[i];
        }
        int s2=0;
        for (int i = 1; i <= arr.length+1; i++) {
            s2+=i;
        }
        System.out.println(s2-sum);
    }
}
